package online.model;

import java.util.Date;

public final class JavaBean {

	private String string;
	private String[] stringArray;

	public String getString() {
		return this.string;
	}

	public void setString(final String val) {
		this.string = val;
	}

	public String[] getStringArray() {
		return this.stringArray;
	}

	public void setStringArray(final String... val) {
		this.stringArray = val;
	}


	private boolean pbool;
	private boolean[] pboolArray;
	private Boolean bool;
	private Boolean[] boolArray;

	public boolean isPrimitiveBoolean() {
		return this.pbool;
	}

	public void setPrimitiveBoolean(final boolean val) {
		this.pbool = val;
	}

	public boolean[] isPrimitiveBooleanArray() {
		return this.pboolArray;
	}

	public void setPrimitiveBooleanArray(final boolean[] val) {
		this.pboolArray = val;
	}

	public Boolean isBoolean() {
		return this.bool;
	}

	public void setBoolean(final Boolean val) {
		this.bool = val;
	}

	public Boolean[] isBooleanArray() {
		return this.boolArray;
	}

	public void setBooleanArray(final Boolean[] val) {
		this.boolArray = val;
	}

	private int pint;
	private int[] pintArray;
	private Integer integer;
	private Integer[] integerArray;

	public int getPrimitiveInteger() {
		return this.pint;
	}

	public void setPrimitiveInteger(final int val) {
		this.pint = val;
	}

	public int[] getPrimitiveIntegerArray() {
		return this.pintArray;
	}

	public void setPrimitiveIntegerArray(final int[] val) {
		this.pintArray = val;
	}

	public Integer getInteger() {
		return this.integer;
	}

	public void setInteger(final Integer val) {
		this.integer = val;
	}

	public Integer[] getIntegerArray() {
		return this.integerArray;
	}

	public void setIntegerArray(final Integer[] val) {
		this.integerArray = val;
	}


	private Date date;
	private Date[] dateArray;

	public Date getDate() {
		return this.date;
	}

	public void setDate(final Date val) {
		this.date = val;
	}

	public Date[] getDateArray() {
		return this.dateArray;
	}

	public void setDateArray(final Date[] val) {
		this.dateArray = val;
	}
}
